Bug 1278264 - Masked tmp.mount creates journal message every 10 minutes on Fedora Cloud image
Masked tmp.mount creates journal message every 10 minutes on Fedora Cloud image
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 01:32 EST by Sitsofe Wheeler
Modified: 2016-01-28 13:22 EST (History)
9 users (show)

See Also:
Fixed In Version: systemd-222-13.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:22:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2015-11-05 01:32:34 EST
Description of problem:
In the cloud image of Fedora 23 tmp.mount is masked but this generates warning messages in the journal every 10 minutes.

Version-Release number of selected component (if applicable):
systemd-222-8.fc23.x86_64

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Start the Fedora 23 cloud image?
2. Wait an half an hour.
3. Run
journalctl --since "30 minutes ago" | grep tmp

Actual results:
Nov 05 06:00:05 localhost systemd[1]: tmp.mount: Cannot add dependency job, ignoring: Unit tmp.mount is masked.
Nov 05 06:02:39 localhost systemd[1]: tmp.mount: Cannot add dependency job, ignoring: Unit tmp.mount is masked.
Nov 05 06:10:05 localhost systemd[1]: tmp.mount: Cannot add dependency job, ignoring: Unit tmp.mount is masked.
Nov 05 06:20:15 localhost systemd[1]: tmp.mount: Cannot add dependency job, ignoring: Unit tmp.mount is masked.

Expected results:
Message to appear only once per boot?

Additional info:
This did not happen on Fedora 22's systemd. Poking around you can see the tmp.mount dependency here:

/usr/lib/systemd/system/local-fs.target.wants/tmp.mount

and you can see its masking here:

/etc/systemd/system/tmp.mount
.
Comment 1 Henrique Martins 2015-11-22 10:35:43 EST
Happens on my non-cloud image of Fedora 23, as I have tmp.mount masked.
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-22 21:20:25 EST
Yeah, http://www.freedesktop.org/wiki/Software/systemd/APIFileSystems/ documents masking as the "official" way to disable tmpfs-/tmp and indeed this generates messages at notice level whenever anything having local-fs.target as dependency is started.

This is a problem with masking that appears in quite a few places. Maybe we should simply downgrade the message to debug level to hide it.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-06 23:51:37 EST
https://github.com/systemd/systemd/pull/2076
Comment 4 Sitsofe Wheeler 2016-01-09 07:36:42 EST
Any chance of a backport of this fix? Fedora 23 is on systemd-222 and this fix probably won't arrive until systemd-229 ...
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-09 09:35:56 EST
Yeah, we should. That was the plan anyway.
Comment 6 Zbigniew Jędrzejewski-Szmek 2016-01-14 21:39:22 EST
Should also include https://github.com/systemd/systemd/pull/2322.
Comment 8 Fedora Update System 2016-01-25 05:58:53 EST
systemd-222-13.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d6ff41417
Comment 9 Fedora Update System 2016-01-25 23:28:14 EST
systemd-222-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d6ff41417
Comment 10 Fedora Update System 2016-01-28 13:21:47 EST
systemd-222-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.